Signal(special file)

NAME
Signal — send a (POSIX-style) signal to a tool

SYNOPSIS

Signal(in string theSignal);

DESCRIPTION

The Signal request asks the handling procid to send itself the indicated POSIX signal.

The theSignal argument is the signal to send.

APPLICATION USAGE

The ttdt_session_join(3), function can be used to register for, and transparently process, the Signal request.

EXAMPLES

The Signal request can be sent as in the following example:

Tt_message msg = tttk_message_create(0, TT_REQUEST, TT_SESSION,
                        the_recipient_procid, TTDT_SIGNAL,
                        my_callback);
tt_message_arg_add(msg, TT_IN, Tttk_string, "SIGHUP");
tt_message_send(msg);

WARNINGS

Signal can also be sent as a multicast notice, as an edict to all tools in the scope of the message. The consequences of doing so can be severe and unexpected.

SEE ALSO

sigaction(2) tt_message_arg_add(3), tt_message_send(3), ttdt_session_join(3).